基于maven的mybatis逆向工程配置失败,求助!!

开发配置环境:
jdk 1.8 ,mysql:5.7,mysql-connector:6.0.6

generatorConfig.xml文件中连接数据库的信息:

<!--数据库连接的信息:驱动类、连接地址、用户名、密码 -->
        <jdbcConnection driverClass="com.mysql.cj.jdbc.Driver"
            connectionURL="jdbc:mysql://192.168.1.60/testspringmvc?serverTimezone=UTC"
            userId="root"
            password="123456">
        </jdbcConnection>

启动GeneratorSqlmap.java,显示如下版本配置有问题。

Exception in thread "main" java.lang.UnsupportedClassVersionError: com/mysql/cj/jdbc/Driver : Unsupported major.minor version 52.0

基于我的开发配置环境,以及MYSQL官方配置说明,个人觉得是没问题的。
咋回事,求助!!

1个回答

jdk有没有配置多个,比如1.7和1.8都有,可能默认指定了1.7及以下版本,需手动设置下改成1.8

wr844322684
wr844322684 已经手动把jdk配置了1.8了,把myeclipse默认的1.7 remove掉就可以了。我也没选择1.7版本啊,不知道是为什么。总归,谢谢了!!
8 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问